curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}/dispute' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"flagged_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"flagged_at": "2026-08-31T14:22:05Z",
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"credit_applied_usd": "string",
"resolution": "confirmed_outcome",
"resolved_at": "2026-08-31T14:22:05Z",
"resolved_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"root_cause": "string",
"review_notes": "string",
"stripe_credit_balance_tx_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Dispute an outcome
Flag an Outcome for joint review (Appendix D.2). Idempotent on the standard Idempotency-Key header — retried POSTs with the same key return the same dispute…
POST
/
api
/
v1
/
outcomes
/
{outcome_id}
/
dispute
curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}/dispute' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"flagged_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"flagged_at": "2026-08-31T14:22:05Z",
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"credit_applied_usd": "string",
"resolution": "confirmed_outcome",
"resolved_at": "2026-08-31T14:22:05Z",
"resolved_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"root_cause": "string",
"review_notes": "string",
"stripe_credit_balance_tx_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Flag an Outcome for joint review (Appendix D.2).
Idempotent on the standard Idempotency-Key header — retried POSTs
with the same key return the same dispute row with
Idempotency-Replayed: true.
Path parameters
string (uuid)
required
Request body
OutcomeDisputeCreate
string
required
Response
OutcomeDisputeRead
string (uuid)
required
string (uuid)
required
string (uuid)
required
string
required
string (uuid),null
string (date-time)
required
string,null
string
required
string,null
string (date-time),null
string (uuid),null
string,null
string,null
string,null
Status codes
| Code | Meaning |
|---|---|
201 | Successful Response |
422 | Validation Error |
curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}/dispute' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"flagged_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"flagged_at": "2026-08-31T14:22:05Z",
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"credit_applied_usd": "string",
"resolution": "confirmed_outcome",
"resolved_at": "2026-08-31T14:22:05Z",
"resolved_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"root_cause": "string",
"review_notes": "string",
"stripe_credit_balance_tx_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026